Command: test -d $[SAPMNT:#required]/$[SID:#required]
Description: check existing SAP HANA shared installation directory
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: test -d /usr/sap/$[SID:#required]
Description: check existing SAP HANA local installation directory
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: test ! -d $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]
Description: ensure that the installation kit suffix directory does not exist
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: mkdir -m 744 $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]
Description: create the installation kit suffix directory
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: mkdir -m 744 $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]/server
Description: create server directory inside the installation kit suffix directory
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: cp -Pv --no-preserve=all hdbinst hdbuninst filelist.update filelist.install $[SIGNATURE_DIR:#required,enum=(../..,..,.)]/SIGNATURE.SMF $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]
Workdir: $[SOURCE_DIR]
Description: Copy white list of files
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: cp -Pv --no-preserve=all server/hdbmount.py $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]/server
Workdir: $[SOURCE_DIR]
Description: Copy hdbmount.py
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: cp -rPv --no-preserve=all instruntime operations.d $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]
Workdir: $[SOURCE_DIR]
Description: Copy white list of directories
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: find server/ -maxdepth 1 -type f -name *.lst -exec cp -Pv --no-preserve=all {} $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]/server ;
Workdir: $[SOURCE_DIR]
Description: Copy .lst files
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: cp -rPv --no-preserve=all server/hdb_ha $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]/server
Workdir: $[SOURCE_DIR]
Description: Copy hdb_ha directory
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm

Command: chmod -R 700 $[SAPMNT:#required]/$[SID:#required]/server_installer_kit_$[SUFFIX:#required]
Description: Change file mode of copied files
ResultConverter: flat
Platform: Unix
Authorization: $[SID:#required#tolower]adm
